%define name		j2ee-connector
%define version		1.0
%define cvs_version	1_0
%define release		1jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	J2EE(tm) Connector Architecture
License:	Sun Binary Code License
Url:		http://java.sun.com/products/j2ee
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	j2ee_connector-1_0-fr-class.zip
Source1:	%{name}.license.bz2
NoSource:	0
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The J2EE Connector architecture provides a Java solution to the problem 
of connectivity between the many application servers and EISs already in existence. 
By using the J2EE Connector architecture, EIS vendors no longer need to customize their 
product for each application server. 
Application server vendors who conform to the J2EE Connector architecture do not need 
to add custom code whenever they want to add connectivity to a new EIS.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -c -n %{name}-%{version}
bzcat %{SOURCE1} > LICENSE
# fix files perms
chmod -R go=u-w *

%build

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 connector.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for file in *.jar; do ln -sf $file `basename $file -%{version}.jar`.jar;done)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE
%{javadir}/%{name}*.jar

%changelog
* Tue Jan 22 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-1jpp
- Initial release
